【活用ガイド】

JVNDB-2006-000096

GnuTLS の Libtasn1 におけるサービス運用妨害 (DoS) の脆弱性

概要

GNU TLS の Libtasn1 には、DER (Distinguished Encoding Rules) に基づいてバイナリ変換が行われた ASN.1 オブジェクトのデコード処理が不適切である脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

CVSS v2 による深刻度
基本値: 7.5 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的
影響を受けるシステム


ミラクル・リナックス
  • Asianux Server 4.0 
  • Asianux Server 4.0 (x86-64) 
レッドハット
  • Red Hat Enterprise Linux 4 (as) 
  • Red Hat Enterprise Linux 4 (es) 
  • Red Hat Enterprise Linux 4 (ws) 

想定される影響

GNU TLS がサービス運用妨害 (DoS) 状態となる可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

ミラクル・リナックス
  • MIRACLE LINUX アップデート情報 : gnutls
レッドハット
CWEによる脆弱性タイプ一覧  CWEとは?

共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2006-0645
参考情報

  1. National Vulnerability Database (NVD) : CVE-2006-0645
  2. Secunia Advisory : SA18794
  3. SecurityFocus : 16568
更新履歴

  • [2007年04月01日]
      掲載